summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDevan Carpenter <devan@taler.net>2023-06-07 11:53:49 -0400
committerDevan Carpenter <devan@taler.net>2023-06-07 11:53:49 -0400
commit30ae9db0f0185dfdb10ef52a089eded19a3da48b (patch)
treec99d6a72e068d57b20f8d1b59f725c21e38f7ede
parent734de5d3598bbf31638daaa5678e378c56881b5e (diff)
downloadwallet-core-dvn/container-ci.tar.gz
wallet-core-dvn/container-ci.tar.bz2
wallet-core-dvn/container-ci.zip
CI: intial ci directorydvn/container-ci
-rw-r--r--ci/Containerfile19
-rwxr-xr-xci/ci.sh8
-rwxr-xr-xci/jobs/docs.sh15
3 files changed, 42 insertions, 0 deletions
diff --git a/ci/Containerfile b/ci/Containerfile
new file mode 100644
index 000000000..070ddfd8d
--- /dev/null
+++ b/ci/Containerfile
@@ -0,0 +1,19 @@
+FROM docker.io/library/node:18-slim
+
+ENV DEBIAN_FRONTEND=noninteractive
+
+RUN apt-get update -yq && \
+ apt-get install -yqq \
+ git \
+ python3 \
+ python3-distutils \
+ make \
+ zip \
+ jq
+
+RUN npm install -g pnpm@latest-5
+
+# Set our workdir. All subsequent commands will be relative to this path.
+WORKDIR /workdir
+
+CMD ["bash", "/workdir/ci/ci.sh"]
diff --git a/ci/ci.sh b/ci/ci.sh
new file mode 100755
index 000000000..dc1af6b98
--- /dev/null
+++ b/ci/ci.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -euo pipefail
+
+for job in ci/jobs/*.sh
+do
+ echo "Running ${job}"
+ bash ${job}
+done
diff --git a/ci/jobs/docs.sh b/ci/jobs/docs.sh
new file mode 100755
index 000000000..cf12bc8d6
--- /dev/null
+++ b/ci/jobs/docs.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -exuo pipefail
+
+./bootstrap
+./configure
+make
+
+pnpm install -W typedoc
+./node_modules/typedoc/bin/typedoc \
+ --out dist/typedoc \
+ --tsconfig tsconfig.build.json \
+ packages/taler-util/src/index.ts \
+ packages/taler-wallet-cli/src/index.ts \
+ packages/taler-wallet-android/src/index.ts \
+ packages/taler-wallet-core/src/index.ts